# Create Scan To Pay Payment

Create a scan-to-pay payment

Endpoint: POST /v1/scan_to_pay
Version: v1

## Request fields (application/json):

  - `merchant_id` (string, required)
    Unique identifier for the merchant
    Example: "merchant_02c7h71rf3eg396idngupsr66t"

  - `tip` (integer, required)
    Tip amount
    Example: 1

  - `items` (array, required)
    List of items

  - `items.name` (string, required)
    Name of the item
    Example: "Door Lockout service"

  - `items.quantity` (integer, required)
    Quantity of the item
    Example: 1

  - `items.unit_price` (integer, required)
    Unit price of the item
    Example: 47800

  - `tax` (integer, required)
    Tax amount
    Example: 10

  - `amount` (integer, required)
    Amount of the payment. If items are provided, amount should not be specified.
    Example: 100

  - `taxPercent` (string, required)

## Response 200 fields (application/json):

  - `payment_type` (string, required)
    Type of payment
    Enum: "MANUAL", "INVOICE", "TERMINAL", "SCAN_TO_PAY", "REFUND"

  - `id` (string, required)
    Unique identifier for the payment request
    Example: "preq_01h455vb4pex5vsknk084sn02q"

  - `payment_asset_url` (string, required)
    URL of the payment asset

  - `email_address` (string)
    Email address of the customer
    Example: "test@test.ai"

  - `phone_number` (string)
    Phone number of the customer

  - `amount` (integer, required)
    Amount of the payment

  - `tip` (integer)
    Tip amount

  - `tax` (integer)
    Tax amount

  - `status` (string, required)
    Status of the payment request


